Bug 169457 - X server appears to crash when using terminals and web browser
X server appears to crash when using terminals and web browser
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-28 11:20 EDT by Brad Jordan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 11:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log file # 1 (44.42 KB, text/plain)
2005-09-29 09:25 EDT, Brad Jordan
no flags Details
X log file # 2 (44.27 KB, text/plain)
2005-09-29 09:26 EDT, Brad Jordan
no flags Details
X config file (2.77 KB, text/plain)
2005-09-29 09:26 EDT, Brad Jordan
no flags Details
Image of crashed desktop (124.09 KB, image/png)
2005-09-29 09:27 EDT, Brad Jordan
no flags Details

  None (edit)
Description Brad Jordan 2005-09-28 11:20:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
For some reason, my Xserver appears to crash. This occurs when I have several terminals open simultaneously and appears to occur only when I am using a web browser (i.e. firefox).  The crash basically entails the entire display turning to a bunch of red and blue lines across the screen. If I click on the screen with my mouse, some of the display comes back, but then disappears again. I have to logout and log back in for the problem to correct.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Open several browser window and go to a website with complex content, such as some flash applications?
2.
3.
  

Additional info:
Comment 1 Mike A. Harris 2005-09-28 13:30:51 EDT
> Version-Release number of selected component (if applicable):

Always fill that field in in bug reports please.

Also, please always attach your X server log file and config file as
individual uncompressed file attachments using the bugzilla file
attachment link below, to all X related bug reports.  In particular,
the log file details the hardware in the system, how it was
configured, and many other clues that are mandatory troubleshooting
aids for developers.

Thanks in advance.
Comment 2 Brad Jordan 2005-09-29 09:25:52 EDT
Created attachment 119416 [details]
X log file # 1
Comment 3 Brad Jordan 2005-09-29 09:26:17 EDT
Created attachment 119417 [details]
X log file # 2
Comment 4 Brad Jordan 2005-09-29 09:26:32 EDT
Created attachment 119418 [details]
X config file
Comment 5 Brad Jordan 2005-09-29 09:27:21 EDT
Created attachment 119419 [details]
Image of crashed desktop
Comment 6 Brad Jordan 2005-09-29 09:30:41 EDT
Mike, I have applied the requested corrections. I am currently using X version 6.8.2



(In reply to comment #1)
> > Version-Release number of selected component (if applicable):
> 
> Always fill that field in in bug reports please.
> 
> Also, please always attach your X server log file and config file as
> individual uncompressed file attachments using the bugzilla file
> attachment link below, to all X related bug reports.  In particular,
> the log file details the hardware in the system, how it was
> configured, and many other clues that are mandatory troubleshooting
> aids for developers.
> 
> Thanks in advance.

Comment 7 Mike A. Harris 2006-06-27 11:54:13 EDT
This appears to be a video driver acceleration corruption issue of some sort.
If you're still using FC4, you should test the noaccel option to test if it
prevents the corruption, and if so, remove noaccel and test the various
XaaNo.... options documented in the xorg.conf manpage to narrow down the
problematic accel primitive.

Otherwise, it is recommended to upgrade to FC5, as it is likely the issue
may be resolved in FC5.  If the problem exists for this hardware still in
FC5 however, it is recommended to file a bug report upstream to X.org so that
the "nv" driver maintainer at Nvidia is aware of the issue and can
investigate fixing it in a future driver update.

http://bugs.freedesktop.org

If after testing FC5 you find that the problem still exists and need to report
the issue to X.Org, if you paste the URL here, we will track the issue upstream
and review any patches that become available for consideration in future
driver updates.

Thanks in advance.


Note You need to log in before you can comment on or make changes to this bug.